Re: cannot deploy from Jenkins due to maven cannot find plugin

classic Classic list List threaded Threaded
1 message Options
Reply | Threaded
Open this post in threaded view
|

Re: cannot deploy from Jenkins due to maven cannot find plugin

Robert Scholte-8
Hi,

this dev mailinglist is used for the development of Maven. Your question  
is unrelated to that, so please use the user mailinglist next time.

It looks to me that the issue is with your Nexus.
Please verify its logging and have a look at its Java Runtime. If it is  
running on Java 7, you're hit by
https://blog.sonatype.com/enhancing-ssl-security-and-http/2-support-for-central

thanks,
Robert

On Thu, 09 Aug 2018 21:51:34 +0200, Mills, Gary (GE Digital)  
<[hidden email]> wrote:

> this is my environment. java version "1.8.0_181" Java(TM) SE Runtime  
> Environment (build 1.8.0_181-b13) Java HotSpot(TM) 64-Bit Server VM  
> (build 25.181-b13, mixed mode)
>
> Apache Maven 3.5.4 Nexus 2.14.8-01 Jenkins 2.136
>
> my issue is I cannot perform a mvn clean deploy in Jenkins without it  
> issuing error. the error:
> The POM for org.apache.maven.plugins:maven-deploy-plugin:jar:2.7 is  
> missing, no dependency information available [ERROR] Plugin  
> org.apache.maven.plugins:maven-deploy-plugin:2.7 or one of its  
> dependencies could not be resolved: Failure to find  
> org.apache.maven.plugins:maven-deploy-plugin:jar:2.7 in  
> http://137.27.68.182:8082/nexus/content/groups/public was cached in the  
> local repository, resolution will not be reattempted until the update  
> interval of ge-ip-nexus has elapsed or updates are forced
>
>
> In Nexus Maven Central, I look in Nexus repo, and under Browse Index,  
> the maven-deploy-plugin:jar:2.7 exists, however, under browse storage,  
> only 2.8.2 exists.
>
> I'm not specifying or to my knowledge a specific version and wonder why  
> doesn't it just use the maven-deploy-plugin:jar:2.8.2 ??? instead of the  
> 2.7. and I can't find where the 2.7 is being declared. ??
>
> thank you any suggestions on how to resolve or explain what the heck is  
> going on would be much appreciated,
>
> it keeps looking for maven-deploy-plugin:2.7 when 2.8.2 is available?  
> How can I make this work? Either use 2.7 or make it use 2.8 ?
>
> <settings
>
>   xmlns="http://maven.apache.org/SETTINGS/1.0.0"
>
>   xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance"
>
>   xsi:schemaLocation="http://maven.apache.org/SETTINGS/1.0.0
>
>                       http://maven.apache.org/xsd/settings-1.0.0.xsd">
>
>
>
>   <!-- The path to the local repository -->
>
>   <localRepository>/Users/212555427/devel/maven/repositories/ge-ip-jenkins-repository</localRepository>
>
>
>
>   <offline>false</offline>
>
>
>
>   <servers>
>
>     <server>
>
>       <id>com.ge.ip.snapshot.local</id>
>
>       <username>xxxxx</username>
>
>       <password>xxxxxx</password>
>
>     </server>
>
>   </servers>
>
>
>
>   <mirrors>
>
>
>
>     <mirror>
>
>       <id>ge-ip-nexus</id>
>
>       <name>Nexus Repository Manager</name>
>
>       <mirrorOf>*,!jbossRepos(x)</mirrorOf>
>
>       <url>http://137.277.686.182:8082/nexus/content/groups/public</url>
>
>     </mirror>
>
>
>
>   </mirrors>
>
>
>
>   <profiles>
>
>
>
>     <!-- A definition of a development profile -->
>
>     <profile>
>
>       <id>development</id>
>
>       <repositories>
>
>
>
>         <repository>
>
>           <snapshots>
>
>             <enabled>false</enabled>
>
>           </snapshots>
>
>           <id>com.ge.ip.release</id>
>
>           <name>Release Repository</name>
>
>           <url>http://137.277.686.182:8082/nexus/content/groups/public</url>
>
>         </repository>
>
>
>
>         <!-- The specified location of where all snapshot artifacts are  
> retrieved from.  -->
>
>
>
>         <repository>
>
>           <snapshots>
>
>             <enabled>true</enabled>
>
>           </snapshots>
>
>           <id>com.ge.ip.snapshot</id>
>
>           <name>Snapshot Repository</name>
>
>           <url>http://137.277.686.182:8082/nexus/content/groups/public</url>
>
>         </repository>
>
>
>
>       </repositories>
>
>
>
>       <pluginRepositories>
>
>
>
>         <!-- The specified location of where all released plugins are  
> retrieved from.  -->
>
>
>
>         <pluginRepository>
>
>           <snapshots>
>
>             <enabled>false</enabled>
>
>           </snapshots>
>
>           <id>com.ge.ip.plugin.release</id>
>
>           <name>Plugin Release Repository</name>
>
>           <url>http://137.277.686.182:8082/nexus/content/groups/public</url>
>
>         </pluginRepository>
>
>
>
>         <!-- The specified location of where all snapshot plugins are  
> retrieved from.  -->
>
>
>
>         <pluginRepository>
>
>           <snapshots>
>
>             <enabled>true</enabled>
>
>           </snapshots>
>
>           <id>com.ge.ip.plugin.snapshot</id>
>
>           <name>Plugin Snapshot Repository</name>
>
>           <url>http://137.277.686.182:8082/nexus/content/groups/public</url>
>
>         </pluginRepository>
>
>
>
>       </pluginRepositories>
>
>     </profile>
>
>
>
>   </profiles>
>
>
>
>   <!-- Specify the default active profile. -->
>
>   <activeProfiles>
>
>     <activeProfile>development</activeProfile>
>
>   </activeProfiles>
>
>
>
> </settings>
>
> Thank you!
>
>
>
> Sent from Mail<https://go.microsoft.com/fwlink/?LinkId=550986> for  
> Windows 10

---------------------------------------------------------------------
To unsubscribe, e-mail: [hidden email]
For additional commands, e-mail: [hidden email]